ServerEvents.recipes(event => {
  const tools = [
    'minecraft:diamond_pickaxe',
    'minecraft:diamond_axe',
    'minecraft:diamond_sword',
    'minecraft:diamond_shovel',
    'minecraft:diamond_hoe',
    'minecraft:diamond_helmet',
    'minecraft:diamond_chestplate',
    'minecraft:diamond_leggings',
    'minecraft:diamond_boots',
    'create_ironworks:diamond_hammer',
    'create_ironworks:diamond_paxel',
    'scguns:diamond_bayonet',
    'quark:pickarang',
    'createoreexcavation:diamond_drill',
    'sophisticatedbackpacks:diamond_backpack',
    'auto_repair_kit:diamond_kit'
  ]

  tools.forEach(tool => {
    event.replaceInput({ output: tool }, 'minecraft:diamond', 'scguns:diamond_steel_ingot')
    event.replaceInput({ mod: 'sophisticatedbackpacks' }, 'minecraft:diamond', 'scguns:diamond_steel_ingot')
    event.replaceInput({ mod: 'sophisticatedstorage' }, 'minecraft:diamond', 'scguns:diamond_steel_ingot')
  })
})
